<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
<title>LASi: LASi::oPostscriptStream Class Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<!-- Generated by Doxygen 1.5.4 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceLASi.html">LASi</a>::<a class="el" href="classLASi_1_1oPostscriptStream.html">oPostscriptStream</a></div>
<h1>LASi::oPostscriptStream Class Reference</h1><!-- doxytag: class="LASi::oPostscriptStream" -->Just like any ordinary ostringstream, but maintains a reference to the <a class="el" href="classLASi_1_1PostscriptDocument.html" title="Composes Postscript document as three separate and independant streams for header...">PostscriptDocument</a>.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="LASi_8h-source.html">LASi.h</a>&gt;</code>
<p>

<p>
<a href="classLASi_1_1oPostscriptStream-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classLASi_1_1oPostscriptStream.html#5bec594c614cfb60244d1a0d942db4b1">oPostscriptStream</a> (<a class="el" href="classLASi_1_1PostscriptDocument.html">PostscriptDocument</a> &amp;psDoc)</td></tr>

<tr><td colspan="2"><br><h2>Protected Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classLASi_1_1PostscriptDocument.html">PostscriptDocument</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classLASi_1_1oPostscriptStream.html#bc769100cfa0ce8e4e50aad58919ceaa">doc</a> ()</td></tr>

<tr><td colspan="2"><br><h2>Private Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classLASi_1_1PostscriptDocument.html">PostscriptDocument</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classLASi_1_1oPostscriptStream.html#dfbc1e1dba499f3ca9f8a91940ef1b99">_psDoc</a></td></tr>

<tr><td colspan="2"><br><h2>Friends</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">class&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classLASi_1_1oPostscriptStream.html#2420e73e73d02644323fd7516f945c14">PostscriptDocument</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">class&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classLASi_1_1oPostscriptStream.html#7fc469992ea83eaa8e008fe32eb4828f">show</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">class&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classLASi_1_1oPostscriptStream.html#b86e346ac620d226a0b47305dd69a373">setFont</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">class&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classLASi_1_1oPostscriptStream.html#2b4bd87cf938e9b28b41bd1b43ed33f1">setFontSize</a></td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Just like any ordinary ostringstream, but maintains a reference to the <a class="el" href="classLASi_1_1PostscriptDocument.html" title="Composes Postscript document as three separate and independant streams for header...">PostscriptDocument</a>. <hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="5bec594c614cfb60244d1a0d942db4b1"></a><!-- doxytag: member="LASi::oPostscriptStream::oPostscriptStream" ref="5bec594c614cfb60244d1a0d942db4b1" args="(PostscriptDocument &amp;psDoc)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">LASi::oPostscriptStream::oPostscriptStream           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classLASi_1_1PostscriptDocument.html">PostscriptDocument</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>psDoc</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="bc769100cfa0ce8e4e50aad58919ceaa"></a><!-- doxytag: member="LASi::oPostscriptStream::doc" ref="bc769100cfa0ce8e4e50aad58919ceaa" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classLASi_1_1PostscriptDocument.html">PostscriptDocument</a>&amp; LASi::oPostscriptStream::doc           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [inline, protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<hr><h2>Friends And Related Function Documentation</h2>
<a class="anchor" name="2420e73e73d02644323fd7516f945c14"></a><!-- doxytag: member="LASi::oPostscriptStream::PostscriptDocument" ref="2420e73e73d02644323fd7516f945c14" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">friend class <a class="el" href="classLASi_1_1PostscriptDocument.html">PostscriptDocument</a><code> [friend]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="7fc469992ea83eaa8e008fe32eb4828f"></a><!-- doxytag: member="LASi::oPostscriptStream::show" ref="7fc469992ea83eaa8e008fe32eb4828f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">friend class <a class="el" href="classLASi_1_1show.html">show</a><code> [friend]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="b86e346ac620d226a0b47305dd69a373"></a><!-- doxytag: member="LASi::oPostscriptStream::setFont" ref="b86e346ac620d226a0b47305dd69a373" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">friend class <a class="el" href="classLASi_1_1setFont.html">setFont</a><code> [friend]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="2b4bd87cf938e9b28b41bd1b43ed33f1"></a><!-- doxytag: member="LASi::oPostscriptStream::setFontSize" ref="2b4bd87cf938e9b28b41bd1b43ed33f1" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">friend class <a class="el" href="classLASi_1_1setFontSize.html">setFontSize</a><code> [friend]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="dfbc1e1dba499f3ca9f8a91940ef1b99"></a><!-- doxytag: member="LASi::oPostscriptStream::_psDoc" ref="dfbc1e1dba499f3ca9f8a91940ef1b99" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classLASi_1_1PostscriptDocument.html">PostscriptDocument</a>&amp; <a class="el" href="classLASi_1_1oPostscriptStream.html#dfbc1e1dba499f3ca9f8a91940ef1b99">LASi::oPostscriptStream::_psDoc</a><code> [private]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<hr>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="LASi_8h-source.html">LASi.h</a></ul>
<hr size="1"><address style="text-align: right;"><small>Generated on Fri Feb 8 17:25:20 2008 for LASi by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.4 </small></address>
</body>
</html>
